View Issue Details

IDProjectCategoryView StatusLast Update
0014415CentOS-6kernelpublic2018-01-28 08:18
Reporterafletdinov 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0014415: Xen DomU with kernel-2.6.32-696.18.7.el6.i686 booting fail, Domain shut down, reason code 3 0x3
DescriptionAfter install kernel-2.6.32-696.18.7.el6.i686, domain not started.

# xl create node30

Abort transaction writing page-ref
Thread "kbdfront" exited.
 Filesystem type is ext2fs, partition type 0x83
kernel /vmlinuz-2.6.32-696.18.7.el6.i686 ro root=LABEL=/root rd_NO_LUKS rd_NO_L
VM LANG=en_US.UTF-8 rd_NO_MD SYSFONT=latarcyrheb-sun16 KEYBOARDTYPE=pc KEYTABLE
=us rd_NO_DM crashkernel=auto
initrd /initramfs-2.6.32-696.18.7.el6.i686.img

============= Init TPM Front ================
Tpmfront:Error Unable to read device/vtpm/0/backend-id during tpmfront initialization! error = ENOENT
Tpmfront:Info Shutting down tpmfront
close blk: backend=/local/domain/0/backend/vbd/8/51712 node=device/vbd/51712
close blk: backend=/local/domain/0/backend/vbd/8/51728 node=device/vbd/51728


# /var/log/xen/node30.log:
Waiting for domain node30.i386 (domid 11) to die [pid 14659]
Domain 11 has shut down, reason code 3 0x3
Action for shutdown reason code 3 is destroy
Domain 11 needs to be cleaned up: destroying the domain
Done. Exiting now

Steps To Reproduceinstall kernel-2.6.32-696.18.7.el6.i686
Additional InformationDom0 Info:
# xl info
host : xen-node12.bratsk.idc.ru
release : 4.9.58-29.el6.x86_64
version : #1 SMP Mon Oct 23 17:24:58 UTC 2017
machine : x86_64
nr_cpus : 12
max_cpu_id : 11
nr_nodes : 2
cores_per_socket : 6
threads_per_core : 1
cpu_mhz : 2593
hw_caps : 178bf3ff:efd3fbff:00000000:00001300:00802001:00000000:000037ff:00000000
virt_caps :
total_memory : 49151
free_memory : 14927
sharing_freed_memory : 0
sharing_used_memory : 0
outstanding_claims : 0
free_cpus : 0
xen_major : 4
xen_minor : 6
xen_extra : .6-8.el6
xen_version : 4.6.6-8.el6
xen_caps : xen-3.0-x86_64 xen-3.0-x86_32p
xen_scheduler : credit
xen_pagesize : 4096
platform_params : virt_start=0xffff800000000000
xen_changeset : Tue Dec 12 11:42:15 2017 +0000 git:1072b20-dirty
xen_commandline : dom0_mem=1024M,max:1024M cpuinfo loglvl=all guest_loglvl=all
cc_compiler : gcc (GCC) 4.4.7 20120313 (Red Hat 4.4.7-18)
cc_compile_by : mockbuild
cc_compile_domain : centos.org
cc_compile_date : Tue Dec 12 12:12:54 UTC 2017
xend_config_format : 4
TagsNo tags attached.

Relationships

related to 0014336 resolvedtoracat EL6 VM fails to boot after updating to kernel-2.6.32-696.18.7.el6.x86_64 

Activities

afletdinov

afletdinov

2018-01-26 08:47

reporter   ~0031056

DomU config:
kernel = "/usr/lib/xen/boot/pv-grub-x86_32.gz"
extra = "(hd0,0)/grub/menu.lst"
memory = 8192
vcpus = 6
name = "node30.i386"
vif = ['bridge=xenbr0, mac=00:16:3E:3E:01:01','bridge=xenbr201, mac=00:16:3E:3E:01:02']
disk = ['phy:/dev/XenData/node30-system,xvda,w', 'phy:/dev/XenData/node30-pv1,xvdb,w']
toracat

toracat

2018-01-27 19:38

manager   ~0031067

kernel-2.6.32-696.20.1.el6.i686 should be released soon. Please give it a try when it becomes available.
toracat

toracat

2018-01-27 19:42

manager   ~0031068

Actually, 2.6.32-696.20.1.el6 was released on 2018-01-26.
afletdinov

afletdinov

2018-01-28 07:14

reporter   ~0031073

2.6.32-696.20.1.el6 worked good? thanks!
afletdinov

afletdinov

2018-01-28 07:14

reporter   ~0031074

2.6.32-696.20.1.el6 worked good, thanks!
toracat

toracat

2018-01-28 08:18

manager   ~0031075

Thanks for the confirmation. Closing as resolved.

Issue History

Date Modified Username Field Change
2018-01-26 07:50 afletdinov New Issue
2018-01-26 08:47 afletdinov Note Added: 0031056
2018-01-27 19:35 toracat Relationship added related to 0014336
2018-01-27 19:38 toracat Note Added: 0031067
2018-01-27 19:42 toracat Note Added: 0031068
2018-01-28 07:14 afletdinov Note Added: 0031073
2018-01-28 07:14 afletdinov Note Added: 0031074
2018-01-28 08:18 toracat Status new => resolved
2018-01-28 08:18 toracat Resolution open => fixed
2018-01-28 08:18 toracat Note Added: 0031075